`
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Registration Form</title>
</head>

<body>
    <div class="container jumbotron">
        <div class="row form-group">
            <div class="col-sm-12 text-center">
                <h4> Registration Form</h4>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label>First Name <font color=red> (*)</font></label>
            </div>
            <div class="col-sm-4">
                <input type="text" class="form-control" id="inp_firstname">
            </div>
            <div class="col-sm-2">
                <label>Passport<font color=red> (*)</font></label>
            </div>
            <div class="col-sm-4">
                <input type="text" class="form-control" id="inp_passport">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label>Last Name<font color=red> (*)</font></label>
            </div>
            <div class="col-sm-4">
                <input type="text" class="form-control" id="inp_lastname">
            </div>
            <div class="col-sm-2">
                <label>Email</label>
            </div>
            <div class="col-sm-4">
                <input type="text" class="form-control" id="inp_email">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label>Birthday<font color=red> (*)</font></label>
            </div>
            <div class="col-sm-4">
                <input type="text" class="form-control" id="inp_birthday">
            </div>
            <div class="col-sm-2">
                <label>Country<font color=red> (*)</font></label>
            </div>
            <div class="col-sm-4">
                <input type="text" class="form-control" id="inp_country">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label>Gender<font color=red> (*)</font></label>
            </div>
            <div class="col-sm-2">
                <div class="col-sm-12 form-group">
                    <input id="select-male" type="radio" class="select_gender" value="male">
                    <label for="male-gender">Male</label>
                </div>
            </div>
            <div class="col-sm-2">
                <div class="col-sm-12 form-group">
                    <input id="select-female" type="radio" class="select_gender" value="female">
                    <label for="female-gender">Female</label>
                </div>
            </div>
            <div class="col-sm-2">
                <label>Region</label>
            </div>
            <div class="col-sm-4">
                <input type="text" class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label>Subject</label>
            </div>
            <div class="col-sm-10">
                <textarea class="form-control" id="inp_textarea"></textarea>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-12 text-right">
                <button class="btn btn-success" style="width:100px" onclick="onBtnSendClick()">Send</button>
            </div>
        </div>
    </div>
</body>
<script>
    var gInpFirstName = $("#inp_firstname");
    var gInpLastName = $("#inp_lastname");
    var gInpCountry = $("#inp_country");
    var gInpEmail = $("#inp_email");
    var gInpBirthday = $("#inp_birthday");
    var gInpPassport = $("#inp_passport");
    var gInpRegion = $("#inp_region");
    var gInpSubject = $("#inp_subject");
    // var gSelectGender = $(".select_gender");
    // var gGenderSelected = "";
    var gIsDataCheck = false;
    var gObjectRegis = null;//khai báo biến toàn cục để sử dụng nhiều lần
    const gSELECTED_MALE = "Male";
    const gSELECTED_FEMALE = "Female";
    $(document).ready(function () {
        onPageLoading();
    });

    function onPageLoading() {
        console.log("tải trang....");
    }
    function onBtnSendClick() {
        console.log("%c Nút Send đã nhấn........", "color:green");

        gObjectRegis = getObject();//thu thập
        console.log(gObjectRegis);//ghi tạm ra coi thu thập được không

        var vKetQua = kiemTraHopLe(gObjectRegis);
        if (vKetQua) {
            console.log("----------------------");
            console.log("Sub task 2....");
            console.log(gObjectRegis);
        }
    }

    function getObject() {

       

        var gObjectRegis = {
            firstName: gInpFirstName.val().trim(),
            lastName: gInpLastName.val().trim(),
            birthday: gInpBirthday.val().trim(),
            passport: gInpPassport.val().trim(),
            email: gInpEmail.val().trim(),
            country: gInpCountry.val().trim(),
            gender:""
        };
        return gObjectRegis;
    }
  
    function kiemTraHopLe(paramObjectRegis) {

        var vRequiredInfoCheck = [gInpFirstName, gInpLastName, gInpPassport, gInpBirthday, gInpCountry];
        gIsDataCheck = true;
        try {
            for (let bIndex in vRequiredInfoCheck) {
                let bInfoCheck = vRequiredInfoCheck[bIndex].val().trim();
                if (bInfoCheck == "") {
                    alert("Please fill your form");
                    throw ("Bạn chưa điền hết các ô bắt buộc");
                }
            }

            if ($("#select-male").is(':checked')) {
                    paramObjectRegis.gender = $("#select-male").val();
              }
            
            if ($("#select-female").is(':checked')) {
                    paramObjectRegis.gender = $("#select-female").val();
             
            }

            if (paramObjectRegis.gender == "") {
                throw ("Bạn chưa chọn giới tính");
            }

            console.log("Data check hợp lệ")

        }
        catch (err) {
            console.log(err);
            gIsDataCheck = false;
        }

    }
    // function isEmail(paramEmail) {
    //     var vValidRegex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    //     if (paramEmail.match(vValidRegex)) {
    //         return true;
    //     } else {
    //         return false;
    //     }
    // }         
</script>

</html>